Subject: Re: [Idr] Early Code Point allocation for draft-ietf-idr-eag-distribution-05 (12/8 to 12/22)

From: "John G. Scudder" <[email-masked]>
Date: Mon, 19 Mar 2018 11:03:36 +0000

Hi Les,

I was just reviewing the draft prior to sending the allocation request in. Right now the IANA section reads

   IANA maintains the registry for the TLVs.  BGP Extended Admin Group
   link attribute TLV will require one new type code defined in this
   document.

This is not very clear direction for IANA. Can you update the IANA section? See RFC 8126, "Guidelines for Writing an IANA Considerations Section in RFCs". Section 1.3 has a short-form cheatsheet, you can skip down to the "If you are registering into an existing registry" part. I presume you want the "Border Gateway Protocol - Link State (BGP-LS) Parameters -- BGP-LS Node Descriptor, Link Descriptor, Prefix Descriptor, and Attribute TLVs" registry. I presume the rest is what's in your Table 1.

Probably the cleanest way to move forward is for you to simply update the draft, although you can also reply to this email with the info.

Thanks,

--John

> On Feb 14, 2018, at 2:40 AM, Les Ginsberg (ginsberg) <[email-masked]> wrote:
> 
> Sue –
>  
> Has early allocation been completed?
> I don’t see any code point assigned in the BGP-LS registry (apologies if I missed it).
>  
> Thanx.
>  
>     Les
>  
>  
> From: Idr [mailto:[email-masked]] On Behalf Of Susan Hares
> Sent: Friday, January 19, 2018 7:45 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [Idr] Early Code Point allocation for draft-ietf-idr-eag-distribution-05 (12/8 to 12/22)
>  
> WG: 
>  
> We’ve received 7 positive comments for early allocation of the draft-ietf-idr-eag-distribution-05.txt work.  There were no problems pointed to with the draft-ietf-idr-eag-distribution-05.txt specification.   The WG chairs usually like a few more positive comments, but the December time period (12/8 to 12/22) may have reduced the number of comments.  We received no substantial number of comments after the first week.
>  
> Cisco has completed an implementation and is looking for an interoperability test prior to shipping code. The work has implementations that need the early allocation, a stable specification, and these positive comments on the list.  I’ve received several comments requesting the processing of this call.  Based on the WG continued request to get implementations early allocation of code points, I’m going to declare WG consensus on allocating these code points.  I will forward this early allocation request to Alvaro Retana for processing. 
>  
> I think this points to the fact that we should go to single week early allocation request.   The drafts either succeed or fail on the first week’s work.
>  
>  
> Sue Hares
> WG Co-chair 
>  
> PS - I think this points to the fact that we should go to single week early allocation request.   The drafts either succeed or fail on the first week’s work.   John and I are always looking for feedback to determine if we are following the wishes of the IDR WG in getting this early allocations.

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Mon, 19 Mar 2018 13:33:13 +0000

John –

I don’t own this draft. ☺
I was just interested in following up on this as we have  implementations.

Please nag the authors.

   Les

From: John G. Scudder <[email-masked]>
Sent: Monday, March 19, 2018 4:04 AM
To: Les Ginsberg (ginsberg) <[email-masked]>
Cc: Hares Susan <[email-masked]>; [email-masked]; [email-masked]; Alvaro Retana <[email-masked]>
Subject: Re: [Idr] Early Code Point allocation for draft-ietf-idr-eag-distribution-05 (12/8 to 12/22)

Hi Les,

Thanks,

--John

On Feb 14, 2018, at 2:40 AM, Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>> wrote:

Sue –

Thanx.

    Les

From: Idr [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Friday, January 19, 2018 7:45 PM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [Idr] Early Code Point allocation for draft-ietf-idr-eag-distribution-05 (12/8 to 12/22)

WG:

Sue Hares
WG Co-chair

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Mon, 19 Mar 2018 13:38:08 +0000

Hi John,

I am not an author either, but I would like to confirm the registry that you point to - "Border Gateway Protocol - Link State (BGP-LS) Parameters -- BGP-LS Node Descriptor, Link Descriptor, Prefix Descriptor, and Attribute TLVs"

I would the authors to please update the draft to clarify this.

Thanks,
Ketan

From: Idr <[email-masked]> On Behalf Of Les Ginsberg (ginsberg)
Sent: 19 March 2018 13:33
To: John G. Scudder <[email-masked]>
Cc: [email-masked]; Hares Susan <[email-masked]>; [email-masked]
Subject: Re: [Idr] Early Code Point allocation for draft-ietf-idr-eag-distribution-05 (12/8 to 12/22)

John –

Please nag the authors.

   Les

From: John G. Scudder <[email-masked]<mailto:[email-masked]>>
Sent: Monday, March 19, 2018 4:04 AM
To: Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>>
Cc: Hares Susan <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Alvaro Retana <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Idr] Early Code Point allocation for draft-ietf-idr-eag-distribution-05 (12/8 to 12/22)

Hi Les,

Thanks,

--John

Sue –

Thanx.

    Les

WG:

Sue Hares
WG Co-chair

---

From: "John G. Scudder" <[email-masked]>
Date: Mon, 19 Mar 2018 13:38:59 +0000

Ah, my mistake.

Authors, please consider yourself to have been nagged.

--John

> On Mar 19, 2018, at 1:33 PM, Les Ginsberg (ginsberg) <[email-masked]> wrote:
> 
> John –
>  
> I don’t own this draft. J
> On Feb 14, 2018, at 2:40 AM, Les Ginsberg (ginsberg) <[email-masked] <mailto:[email-masked]>> wrote:
>  
> Sue –
>  
> From: Idr [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Susan Hares
> To: [email-masked] <mailto:[email-masked]>
> Cc: [email-masked] <mailto:[email-masked]>

---

From: Jeff Tantsura <[email-masked]>
Date: Mon, 19 Mar 2018 18:09:18 +0000

Hi John,

The authors  request assigning a code-point from the registry "BGP- LS Node Descriptor, Link Descriptor, Prefix Descriptor, and Attribute TLVs".

The draft will be updated to reflect.

Thanks and apologies for the confusion!

Cheers,

Jeff

From: Idr <[email-masked]> on behalf of "John G. Scudder" <[email-masked]>
Date: Monday, March 19, 2018 at 11:04
To: "Les Ginsberg (ginsberg)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Hares Susan <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Idr] Early Code Point allocation for draft-ietf-idr-eag-distribution-05 (12/8 to 12/22)

Hi Les,

   document.

Thanks,

--John

Sue –

Thanx.

    Les

WG: 

 

Sue Hares

WG Co-chair 

_______________________________________________ Idr mailing list [email-masked] https://www.ietf.org/mailman/listinfo/idr

---

From: "John G. Scudder" <[email-masked]>
Date: Mon, 19 Mar 2018 18:11:45 +0000

And to be clear, symbolic name and so on are as given in Table 1?

--John

> On Mar 19, 2018, at 6:09 PM, Jeff Tantsura <[email-masked]> wrote:
> 
> Hi John,
>  
> Hi Les, <>
> _______________________________________________ Idr mailing list [email-masked] <mailto:[email-masked]> https://www.ietf.org/mailman/listinfo/idr <https://www.ietf.org/mailman/listinfo/idr>

---

From: Jeff Tantsura <[email-masked]>
Date: Mon, 19 Mar 2018 18:34:18 +0000

John,

In order to keep the naming consistent with RFC7308, the updated (extended) name is Extended Administrative Group.

Thanks!

Cheers,

Jeff

From: "John G. Scudder" <[email-masked]>
Date: Monday, March 19, 2018 at 18:12
To: Jeff Tantsura <[email-masked]>
Cc: "Les Ginsberg (ginsberg)" <[email-masked]>, "[email-masked]" <[email-masked]>, Hares Susan <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Idr] Early Code Point allocation for draft-ietf-idr-eag-distribution-05 (12/8 to 12/22)

--John

Hi John,

Cheers,

Jeff

Hi Les,

   document.

Thanks,

--John

Sue –

Thanx.

    Les

WG: 

 

Sue Hares

WG Co-chair